<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Jellyfin.Plugin.Seasonals</name>
    </assembly>
    <members>
        <member name="T:Jellyfin.Plugin.Seasonals.Configuration.PluginConfiguration">
            <summary>
            Plugin configuration.
            </summary>
        </member>
        <member name="M:Jellyfin.Plugin.Seasonals.Configuration.PluginConfiguration.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:Jellyfin.Plugin.Seasonals.Configuration.PluginConfiguration"/> class.
            </summary>
        </member>
        <member name="P:Jellyfin.Plugin.Seasonals.Configuration.PluginConfiguration.SelectedSeason">
            <summary>
            Gets or sets the selected season.
            </summary>
        </member>
        <member name="P:Jellyfin.Plugin.Seasonals.Configuration.PluginConfiguration.AutomateSeasonSelection">
            <summary>
            Gets or sets a value indicating whether to automate season selection.
            </summary>
        </member>
        <member name="T:Jellyfin.Plugin.Seasonals.Plugin">
            <summary>
            The main plugin.
            </summary>
        </member>
        <member name="M:Jellyfin.Plugin.Seasonals.Plugin.#ctor(MediaBrowser.Common.Configuration.IApplicationPaths,MediaBrowser.Model.Serialization.IXmlSerializer,Microsoft.Extensions.Logging.ILoggerFactory)">
            <summary>
            Initializes a new instance of the <see cref="T:Jellyfin.Plugin.Seasonals.Plugin"/> class.
            </summary>
            <param name="applicationPaths">Instance of the <see cref="T:MediaBrowser.Common.Configuration.IApplicationPaths"/> interface.</param>
            <param name="xmlSerializer">Instance of the <see cref="T:MediaBrowser.Model.Serialization.IXmlSerializer"/> interface.</param>
            <param name="loggerFactory">Instance of the <see cref="T:Microsoft.Extensions.Logging.ILoggerFactory"/> interface.</param>
        </member>
        <member name="P:Jellyfin.Plugin.Seasonals.Plugin.Name">
            <inheritdoc />
        </member>
        <member name="P:Jellyfin.Plugin.Seasonals.Plugin.Id">
            <inheritdoc />
        </member>
        <member name="P:Jellyfin.Plugin.Seasonals.Plugin.Instance">
            <summary>
            Gets the current plugin instance.
            </summary>
        </member>
        <member name="M:Jellyfin.Plugin.Seasonals.Plugin.GetPages">
            <inheritdoc />
        </member>
    </members>
</doc>
